#ifndef	MATH_H
#define	MATH_H

#include <v_lib.h>

void	matZeroRows(matrix_p m,u32_t row_start,u32_t row_end);
void	matOffset(matrix_p m,vec_t offset);
void	matZeroCols(matrix_p m,u32_t col_start,u32_t col_end);
void	matBandReject(matrix_p m,u32_t lo_bound,u32_t hi_bound);
void	matBandPass(matrix_p m,u32_t lo_bound,u32_t hi_bound);
void	vecRunningSum(vector_p dest,vector_p src);
void	vecLinSpaced(vector_p dest,vec_t min,vec_t max);
void	matLinSpacedRows(matrix_p dest,vec_t min,vec_t max);
void	matLinSpacedCols(matrix_p dest,vec_t min,vec_t max);
void	matScaleAdd(matrix_p dest,matrix_p src,vec_t scale,vec_t offset);
void	vecScaleAdd(vector_p dest,vector_p src,vec_t scale,vec_t offset);
void	matScaleM(matrix_p dest,matrix_p src,matrix_p scale);
void	matOffsetM(matrix_p dest,matrix_p src,matrix_p offset);

#endif	/* !MATH_H */
